<?php

$FormClasses = array(
  'FinanceTreasury' => array(
    'Title' => 'Pokladny',
    'Table' => 'FinanceTreasury',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'TimeCreate' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),
    ),
  ),
  'FinanceBankAccount' => array(
    'Title' => 'Účty',
    'Table' => 'FinanceBankAccount',
    'DefaultSortColumn' => 'Comment',
    'Items' => array(
      'Comment' => array('Type' => 'String', 'Caption' => 'Komentář', 'Default' => ''),
      'Number' => array('Type' => 'String', 'Caption' => 'Číslo', 'Default' => ''),
      'TimeCreate' => array('Type' => 'Date', 'Caption' => 'Čas vytvoření', 'Default' => ''),
    ),
  ),
  'Country' => array(
    'Title' => 'Země',
    'Table' => 'Country',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
    ),
  ),
  'User' => array(
    'Title' => 'Uživatelé',
    'Table' => 'User',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Celé jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'LastIpAddress' => array('Type' => 'String', 'Caption' => 'Poslední IP adresy', 'Default' => ''),
      'LastLoginTime' => array('Type' => 'DateTime', 'Caption' => 'Poslední čas přihlášení', 'Default' => ''),
      'RegistrationTime' => array('Type' => 'DateTime', 'Caption' => 'Čas registrace', 'Default' => ''),
      'Locked' => array('Type' => 'Boolean', 'Caption' => 'Uzamčen', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefon', 'Default' => ''),
    ),
  ),
  'Subject' => array(
    'Title' => 'Subjekty',
    'Table' => 'Subject',
    'DefaultSortColumn' => 'Name',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Celé jméno', 'Default' => ''),
      'AddressStreet' => array('Type' => 'String', 'Caption' => 'Ulice', 'Default' => ''),
      'AddressTown' => array('Type' => 'String', 'Caption' => 'Město', 'Default' => ''),
      'AddressPSC' => array('Type' => 'String', 'Caption' => 'PSČ', 'Default' => ''),
      'AddressCountry' => array('Type' => 'TCountry', 'Caption' => 'Země', 'Default' => ''),
      'DIC' => array('Type' => 'String', 'Caption' => 'DIČ', 'Default' => ''),
      'MapPositionX' => array('Type' => 'Float', 'Caption' => 'Pozice X', 'Default' => '0'),
      'MapPositionY' => array('Type' => 'Float', 'Caption' => 'Pozice Y', 'Default' => ''),
      'WWW' => array('Type' => 'Hyperlink', 'Caption' => 'WWW', 'Default' => ''),
      'Note' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
    ),
  ),
  'NetworkDomainAlias' => array(
    'Title' => 'Alias domény',
    'Table' => 'NetworkDomainAlias',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Target' => array('Type' => 'String', 'Caption' => 'Cíl', 'Default' => ''),
      'Comment' => array('Type' => 'String', 'Caption' => 'Komentář', 'Default' => ''),
    ),
  ),
  'NetworkDevice' => array(
    'Title' => 'Síťové zařízení',
    'Table' => 'NetworkDevice',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Type' => array('Type' => 'TNetworkDeviceType', 'Caption' => 'Typ', 'Default' => '0'),
      'Member' => array('Type' => 'TMember', 'Caption' => 'Zákazník', 'Default' => '0'),
      'Location' => array('Type' => 'TMember', 'Caption' => 'Umístění', 'Default' => '0'),
      'Used' => array('Type' => 'Boolean', 'Caption' => 'Použito', 'Default' => '1'),
      'Online' => array('Type' => 'Boolean', 'Caption' => 'Běží', 'Default' => '0'),
      'LastOnline' => array('Type' => 'DateTime', 'Caption' => 'Naposledy běželo', 'Default' => ''),
      'PermanentOnline' => array('Type' => 'Boolean', 'Caption' => 'Běží stále', 'Default' => '0'),
      'Interfaces' => array('Type' => 'TInterfaceList', 'Caption' => 'Rozhraní', 'Default' => ''),
    ),
  ),
  'NetworkDeviceType' => array(
    'Title' => 'Typ síťového zařízení',
    'Table' => 'NetworkDeviceType',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'ShowOnline' => array('Type' => 'Boolean', 'Caption' => 'Ukázat online', 'Default' => '0'),
      'IconName' => array('Type' => 'String', 'Caption' => 'Jméno ikony', 'Default' => '0'),
    ),
  ),
  'NetworkInterface' => array(
    'Title' => 'Síťové rozhraní',
    'Table' => 'NetworkInterface',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'Type' => array('Type' => 'TNetworkInterfaceType', 'Caption' => 'Typ', 'Default' => '0'),
      'MAC' => array('Type' => 'String', 'Caption' => 'Fyzická adresa (MAC)', 'Default' => ''),
      'LocalIP' => array('Type' => 'String', 'Caption' => 'IPv4', 'Default' => ''),
      'IPv6' => array('Type' => 'String', 'Caption' => 'IPv6', 'Default' => ''),
      'ExternalIP' => array('Type' => 'String', 'Caption' => 'Veřejná IPv4', 'Default' => '0'),
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => ''),
      'Online' => array('Type' => 'Boolean', 'Caption' => 'Běží', 'Default' => '0'),
      'LastOnline' => array('Type' => 'DateTime', 'Caption' => 'Naposledy běželo', 'Default' => ''),
    ),
  ),
  'NetworkInterfaceType' => array(
    'Title' => 'Typ síťového rozhraní',
    'Table' => 'NetworkInterfaceType',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Jméno', 'Default' => ''),
      'MaxSpeed' => array('Type' => 'Integer', 'Caption' => 'Max. rychlost', 'Default' => '0'),
      'FullDuplex' => array('Type' => 'Boolean', 'Caption' => 'Plně duplexní', 'Default' => '0'),
      'Color' => array('Type' => 'Color', 'Caption' => 'Barva', 'Default' => '0'),
    ),
  ),
  'NewPayment' => array(
    'Title' => 'Nová platba',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 3),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Vklad'),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotovost', 'Default' => '0'),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Ovlivňující daňový základ', 'Default' => '1'),
      //'BankAccount' => array('Type' => 'TBankAccount', 'Caption' => 'Bankovní účet', 'Default' => '1'),
    ),
  ),
  'NewInvoice' => array(
    'Title' => 'Nová faktura',
    'Items' => array(
      'DocumentLine' => array('Type' => 'TDocumentLine', 'Caption' => 'Dokladová řada', 'Default' => 5),
      'TimeCreation' => array('Type' => 'Time', 'Caption' => 'Čas vytvoření', 'Default' => 'Now'),
      'TimeDue' => array('Type' => 'Time', 'Caption' => 'Čas splatnosti', 'Default' => 'Now'),
      'Subject' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Nákup zařízení'),
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      //'Items' => array('Type' => 'Array', 'Caption' => 'Položky', 'ItemClass' => 'FinanceInvoiceItem'),
    ),
  ),
  'FinanceInvoiceItem' => array(
    'Title' => 'Položka faktury',
    'Items' => array(
      'Value' => array('Type' => 'Float', 'Caption' => 'Částka [Kč]', 'Default' => '0'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Položka'),
      'Quantity' => array('Type' => 'Integer', 'Caption' => 'Množství', 'Default' => '1'),
      'Tax' => array('Type' => 'Integer', 'Caption' => 'Daň [%]', 'Default' => '19'),
    ),
  ),
  'FinanceOperation' => array(
    'Title' => 'Finanční operace',
    'Table' => 'FinanceOperation',
    'DefaultSortColumn' => 'Time',
    'Items' => array(
      'Time' => array('Type' => 'DateTime', 'Caption' => 'Čas realizace', 'Default' => ''),
      'Subject' => array('Type' => 'TSubject', 'Caption' => 'Subjekt', 'Default' => ''),
      'Cash' => array('Type' => 'Boolean', 'Caption' => 'Hotově', 'Default' => ''),
      'Taxable' => array('Type' => 'Boolean', 'Caption' => 'Zdanitelné', 'Default' => ''),
      'Value' => array('Type' => 'Integer', 'Caption' => 'Částka', 'Default' => '0', 'Unit' => 'Kč'),
      'BillCode' => array('Type' => 'String', 'Caption' => 'Označení', 'Default' => ''),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => ''),
      'Network' => array('Type' => 'Boolean', 'Caption' => 'Týkající sítě', 'Default' => ''),
      'BankAccount' => array('Type' => 'TFinanceBankAccount', 'Caption' => 'Účet', 'Default' => ''),
      'Treasury' => array('Type' => 'TFinanceTreasury', 'Caption' => 'Pokladna', 'Default' => ''),
    ),
  ),
  'FinanceClaimsLiabilities' => array(
    'Title' => 'Závazky a pohledávky',
    'Table' => 'FinanceClaimsLiabilities',
    'DefaultSortColumn' => 'TimeCreation',
    'Items' => array(
      'TimeCreation' => array('Type' => 'DateTime', 'Caption' => 'Čas vytvoření', 'Default' => ''),
      'TimeDue' => array('Type' => 'DateTime', 'Caption' => 'Čas splatnosti', 'Default' => ''),
      'TimePayment' => array('Type' => 'DateTime', 'Caption' => 'Čas zaplacení', 'Default' => ''),
      'Subject' => array('Type' => 'TSubject', 'Caption' => 'Subjekt', 'Default' => ''),
      'BillCode' => array('Type' => 'String', 'Caption' => 'Označení', 'Default' => ''),
      'Value' => array('Type' => 'Integer', 'Caption' => 'Částka', 'Default' => '0', 'Unit' => 'Kč'),
      'Text' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => ''),
      'Bill' => array('Type' => 'TFinanceBill', 'Caption' => 'Doklad', 'Default' => ''),
    ),
  ),
  'Measure' => array(
    'Title' => 'Měření',
    'Table' => 'Measure',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Zkratka', 'Default' => 'measure'),
      'Title' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => 'Měření'),
      'Description' => array('Type' => 'String', 'Caption' => 'Popis', 'Default' => 'Měření veličiny'),
      'Unit' => array('Type' => 'String', 'Caption' => 'Jednotka', 'Default' => ''),
      'Continuity' => array('Type' => 'Boolean', 'Caption' => 'Spojitost', 'Default' => '0'),
      'Period' => array('Type' => 'Integer', 'Caption' => 'Perioda měření', 'Default' => '60'),
      'PermissionAdd' => array('Type' => 'String', 'Caption' => 'Oprávnění k měření', 'Default' => 'localhost.localdomain'),
      'PermissionView' => array('Type' => 'String', 'Caption' => 'Oprávnění k prohlížení', 'Default' => 'all'),
      'Enabled' => array('Type' => 'Boolean', 'Caption' => 'Povolení', 'Default' => '1'),
      'DataType' => array('Type' => 'String', 'Caption' => 'Typ datových položek', 'Default' => 'int'),
      'DataTable' => array('Type' => 'String', 'Caption' => 'Tabulka měřených dat', 'Default' => 'data'),
    ),
  ),
  'UserOptions' => array(
    'Title' => 'Základní nastavení',
    'Table' => 'User',
    'SubmitText' => 'Uložit',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'UserRegister' => array(
    'Title' => 'Registrace uživatele',
    'SubmitText' => 'Registrovat',
    'Table' => 'User',
    'Items' => array(
      'Login' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
      'Password2' => array('Type' => 'Password', 'Caption' => 'Potvrzení hesla', 'Default' => ''),
      'Name' => array('Type' => 'String', 'Caption' => 'Zobrazované jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
      'PhoneNumber' => array('Type' => 'String', 'Caption' => 'Telefón', 'Default' => ''),
      'ICQ' => array('Type' => 'String', 'Caption' => 'ICQ', 'Default' => ''),
    ),
  ),
  'MemberOptions' => array(
    'Title' => 'Nastavení domácnosti',
    'Table' => '(SELECT Member.Id, Member.InternetTariffNextMonth, Member.FamilyMemberCount, Subject.Name, Subject.AddressStreet, Subject.AddressTown, Subject.AddressPSC, Subject.IC, Subject.DIC FROM Member JOIN Subject ON Subject.Id = Member.Subject)',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Fakturační jméno', 'Default' => ''),
      'AddressStreet' => array('Type' => 'String', 'Caption' => 'Ulice', 'Default' => 'Zděchov'),
      'AddressTown' => array('Type' => 'String', 'Caption' => 'Město', 'Default' => 'Zděchov'),
      'AddressPSC' => array('Type' => 'String', 'Caption' => 'PSČ', 'Default' => '75607'),
      'AddressCountry' => array('Type' => 'TCountry', 'Caption' => 'Země', 'Default' => '1'),
      'IC' => array('Type' => 'String', 'Caption' => 'IČ', 'Default' => ''),
      'DIC' => array('Type' => 'String', 'Caption' => 'DIČ', 'Default' => ''),
      'FamilyMemberCount' => array('Type' => 'Integer', 'Caption' => 'Počet osob v domácnosti', 'Default' => ''),
      'BillingPeriodNext' => array('Type' => 'TFinanceBillingPeriod', 'Caption' => 'Požadované fakturované období', 'Default' => ''),
      'InternetTariffNextMonth' => array('Type' => 'TFinanceTariff', 'Caption' => 'Tarif internetu od dalšího období', 'Default' => 2),
    ),
  ),
  'PasswordRecovery' => array(
    'Title' => 'Obnova hesla',
    'SubmitText' => 'Obnovit',
    'Table' => '',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Email' => array('Type' => 'String', 'Caption' => 'E-mail', 'Default' => ''),
    ),
  ),
  'UserLogin' => array(
    'Title' => 'Přihlášení uživatele',
    'SubmitText' => 'Přihlásit',
    'Table' => '',
    'Items' => array(
      'Username' => array('Type' => 'String', 'Caption' => 'Přihlašovací jméno', 'Default' => ''),
      'Password' => array('Type' => 'Password', 'Caption' => 'Heslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDevice' => array(
    'Title' => 'Vložit nové zařízení',
    'Table' => 'Product',
    'Items' => array(
      'Name' => array('Type' => 'String', 'Caption' => 'Název', 'Default' => ''),
      'Price' => array('Type' => 'Float', 'Caption' => 'Cena', 'Default' => 0),
      'Count' => array('Type' => 'Integer', 'Caption' => 'Počet', 'Default' => 1),
      'Date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'Segment' => array('Type' => 'TNetworkSegment', 'Caption' => 'Segment sítě', 'Default' => 0),
      'Date' => array('Type' => 'Time', 'Caption' => 'Datum zakoupení', 'Default' => 'Now'),
      'Used' => array('Type' => 'TNetworkDeviceState', 'Caption' => 'Stav', 'Default' => 0),
      'Consumption' => array('Type' => 'Integer', 'Caption' => 'Spotřeba', 'Default' => 0),
      'User' => array('Type' => 'TFinanceSubject', 'Caption' => 'Subjekt', 'Default' => 0),
      'Info' => array('Type' => 'String', 'Caption' => 'Poznámky', 'Default' => ''),
      'Shop' => array('Type' => 'String', 'Caption' => 'Obchod', 'Default' => ''),
      'DeviceId' => array('Type' => 'String', 'Caption' => 'Sériové číslo', 'Default' => ''),
    ),
  ),
  'NewNetworkDeviceHistory' => array(
    'Title' => 'Vložit záznam historie zařízení',
    'Table' => 'NetworkDeviceHistory',
    'Items' => array(
      'Device' => array('Type' => 'TNetworkDevice', 'Caption' => 'Zařízení', 'Default' => 0),
      'Time' => array('Type' => 'Time', 'Caption' => 'Čas', 'Default' => 'Now'),
      'Action' => array('Type' => 'TNetworkDeviceAction', 'Caption' => 'Akce', 'Default' => 0),
      'Notice' => array('Type' => 'String', 'Caption' => 'Poznámka', 'Default' => ''),
    ),
  ),
  'News' => array(
    'Title' => 'Nová aktualita',
    'Table' => '',
    'SubmitText' => 'Vložit',
    'Items' => array(
      'Category' => array('Type' => 'TNewsCategory', 'Caption' => 'Kategorie', 'Default' => 0),
      'Title' => array('Type' => 'String', 'Caption' => 'Nadpis', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
      'Enclosure1' => array('Type' => 'File', 'Caption' => 'Přílohy (Max. velikost souboru 1 MB)', 'Default' => ''),
      'Enclosure2' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
      'Enclosure3' => array('Type' => 'File', 'Caption' => '', 'Default' => ''),
    ),
  ),
  'Email' => array(
    'Title' => 'Nový email',
    'Table' => 'EmailQueue',
    'SubmitText' => 'Odeslat',
    'Items' => array(
      'Address' => array('Type' => 'String', 'Caption' => 'Adresa', 'Default' => ''),
      'Subject' => array('Type' => 'String', 'Caption' => 'Předmět', 'Default' => ''),
      'Content' => array('Type' => 'Text', 'Caption' => 'Obsah', 'Default' => ''),
    ),
  ),
);

$FormTypes = array(
  'TNetworkDeviceState' => array(
     'Type' => 'Enumeration',
     'States' => array('Vyřazeno', 'Použito', 'Na skladě'),
  ),
  'TNetworkDeviceAction' => array(
     'Type' => 'Enumeration',
     'States' => array('Zakoupeno', 'Prodáno', 'Zařazeno do použití', 'Vyřazeno z použití', 'Zasláno do reklamace', 'Přijato z reklamace'),
  ),
  'TFinanceTariff' => array(
     'Type' => 'Enumeration',
     'States' => array(6 => 'Zdarma', 0 => 'Pomalejší', 1 => 'Pomalý', 2 => 'Střední', 3 => 'Rychlý', 4 => 'Rychlejší'),
  ),
  'TFinanceBillingPeriod' => array(
     'Type' => 'Enumeration',
     'States' => array(2 => 'Měsíčně', 3 => 'Čtvrtletně', 4 => 'Pololetně', 5 => 'Ročně'),
  ),
  'TMember' => array(
    'Type' => 'Reference',
    'Table' => 'Member',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceSubject' => array(
    'Type' => 'Reference',
    'Table' => 'Subject',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TDocumentLine' => array(
    'Type' => 'Reference',
    'Table' => 'DocumentLine',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TBankAccount' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBankAccount',
    'Id' => 'Id',
    'Name' => 'Comment',
    'Filter' => '1',
  ),
  'TNetworkDevice' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkDevice',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkDeviceType' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkDeviceType',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkInterface' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkInterface',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkInterfaceType' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkInterfaceType',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNetworkSegment' => array(
    'Type' => 'Reference',
    'Table' => 'NetworkSegment',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TNewsCategory' => array(
    'Type' => 'Reference',
    'Table' => 'NewsCategory',
    'Id' => 'Id',
    'Name' => 'Caption',
    'Filter' => '1',
  ),
  'TCountry' => array(
    'Type' => 'Reference',
    'Table' => 'Country',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TSubject' => array(
    'Type' => 'Reference',
    'Table' => 'Subject',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceTreasury' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceTreasury',
    'Id' => 'Id',
    'Name' => 'Name',
    'Filter' => '1',
  ),
  'TFinanceBankAccount' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBankAccount',
    'Id' => 'Id',
    'Name' => 'Comment',
    'Filter' => '1',
  ),
  'TFinanceBill' => array(
    'Type' => 'Reference',
    'Table' => 'FinanceBills',
    'Id' => 'Id',
    'Name' => 'Id',
    'Filter' => '1',
  ),
  'TInterfaceList' => array(
    'Type' => 'ManyToOne',
    'Table' => 'NetworkInterface',
    'Id' => 'Id',
    'Ref' => 'Device',
    'Filter' => '1',
  ),
);


?>
